Get model routing weights
GET
/api/v1/ai/evaluations/routing-weights
const url = 'https://api.ultimateteam.ai/api/v1/ai/evaluations/routing-weights?agent_role=example&task_type=example';const options = {method: 'GET', headers: {'X-API-Key': '<X-API-Key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.ultimateteam.ai/api/v1/ai/evaluations/routing-weights?agent_role=example&task_type=example' \ --header 'X-API-Key: <X-API-Key>'Get current model routing weights by agent and task.
Returns equal weights when no evaluation data exists.
Args: agent_role: Agent role to query weights for. task_type: Task type to query weights for. user: Authenticated user context.
Returns: Model routing weights per provider.
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters”agent_role
required
Agent Role
string
task_type
required
Task Type
string
Responses
Section titled “ Responses ”Successful Response
Media typeapplication/json
ModelRoutingWeights
Routing weights mapping provider names to selection probability.
object
agent_role
required
Agent Role
string
task_type
required
Task Type
string
weights
required
Weights
Provider name to weight (0.0-1.0)
object
key
additional properties
number
Examplegenerated
{ "agent_role": "example", "task_type": "example", "weights": { "additionalProperty": 1 }}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}